import { ConfigurationsClient, ConfiguredPluginsClient, PluginsClient, PluginVersionsClient, ReleasesClient } from 'flex-plugins-api-client';
import { DeployPlugin } from './deploy';
import { Script } from '.';
export interface InstalledPlugin extends DeployPlugin {
    phase: number;
}
export interface CreateConfigurationOption {
    name: string;
    addPlugins: string[];
    removePlugins?: string[];
    description?: string;
    fromConfiguration?: 'active' | string;
}
export interface CreateConfiguration {
    sid: string;
    name: string;
    description: string;
    plugins: InstalledPlugin[];
    dateCreated: string;
}
export declare type CreateConfigurationScript = Script<CreateConfigurationOption, CreateConfiguration>;
export default function createConfiguration(pluginClient: PluginsClient, pluginVersionClient: PluginVersionsClient, configurationClient: ConfigurationsClient, configuredPluginClient: ConfiguredPluginsClient, releasesClient: ReleasesClient): CreateConfigurationScript;
