import { ConfigurationsClient, ConfiguredPluginsClient, ReleaseResource, ReleasesClient } from 'flex-plugins-api-client';
import { Script } from '.';
import { DeployPlugin } from './deploy';
interface OptionalResources {
    activeRelease?: ReleaseResource;
}
export interface DescribeConfigurationOption {
    sid: string;
    resources?: OptionalResources;
}
export interface ConfiguredPlugins extends DeployPlugin {
    phase: number;
}
export interface Configuration {
    sid: string;
    name: string;
    description: string;
    isArchived: boolean;
    dateCreated: string;
}
export interface DescribeConfiguration extends Configuration {
    isActive: boolean;
    plugins: ConfiguredPlugins[];
}
export declare type DescribeConfigurationScript = Script<DescribeConfigurationOption, DescribeConfiguration>;
export declare function internalDescribeConfiguration(configurationClient: ConfigurationsClient, configuredPluginClient: ConfiguredPluginsClient): (option: DescribeConfigurationOption, release: ReleaseResource | null) => Promise<DescribeConfiguration>;
export default function describeConfiguration(configurationClient: ConfigurationsClient, configuredPluginClient: ConfiguredPluginsClient, releasesClient: ReleasesClient): DescribeConfigurationScript;
export {};
