import { ConfigurationsClient, ConfiguredPluginsClient, ReleaseResource, ReleasesClient } from 'flex-plugins-api-client';
import { Script } from '.';
import { DescribeConfiguration } from './describeConfiguration';
interface OptionalResources {
    activeRelease?: ReleaseResource;
}
export interface DescribeReleaseOption {
    sid: string;
    resources?: OptionalResources;
}
interface Release {
    sid: string;
    configurationSid: string;
    isActive: boolean;
    dateCreated: string;
}
export interface DescribeRelease extends Release {
    configuration: DescribeConfiguration;
}
export declare type DescribeReleaseScript = Script<DescribeReleaseOption, DescribeRelease>;
export default function describeRelease(configurationClient: ConfigurationsClient, configuredPluginClient: ConfiguredPluginsClient, releasesClient: ReleasesClient): DescribeReleaseScript;
export {};
