import { ConfiguredPluginResourcePage, ConfiguredPluginsClient, PluginVersionsClient, ReleaseResource, ReleasesClient } from 'flex-plugins-api-client';
import { ListResource, Page, ResourceNames, Script } from '.';
interface OptionalResources {
    configuredPlugins?: ConfiguredPluginResourcePage;
    activeRelease?: ReleaseResource;
}
export interface ListPluginVersionsOption extends Page {
    name: string;
    resources?: OptionalResources;
}
export interface ListPluginVersions {
    sid: string;
    pluginSid: string;
    version: string;
    url: string;
    changelog: string;
    isPrivate: boolean;
    isActive: boolean;
    dateCreated: string;
}
export declare type ListPluginVersionsResource = ListResource<ResourceNames.PluginVersions, ListPluginVersions>;
export declare type ListPluginVersionsScripts = Script<ListPluginVersionsOption, ListPluginVersionsResource>;
export default function listPluginVersions(pluginVersionsClient: PluginVersionsClient, configuredPluginsClient: ConfiguredPluginsClient, releasesClient: ReleasesClient): ListPluginVersionsScripts;
export {};
